Skip to main content

Master Data Events

Trade Calendar

To enable third-party systems to promptly obtain updates on changes to the trading and settlement calendar, Broker OpenAPI provides an asynchronous proactive event push mechanism for trading and settlement calendar events.

Clients can subscribe to receive these events, allowing them to monitor adjustments to trading days and settlement dates in real time, ensuring accurate time calculations in trading and fund management systems.

{
"id": "event_c4b2c210-ce32-41d4-a9a1-cfad4fdf191c",
"event_type": "MASTER_DATA",
"timestamp": "2025-03-29T07:02:33.200962333Z",
"payload": {
"request_id": "036LVV5P4I8BV0KHKN60000000",
"market": "HK",
"instrument_type": "EQUITY",
"year": 2026,
"biz_type": "CALENDAR_UPDATE"
}
}

Response Fields

FieldTypeDescription
idstringUnique event identifier
event_typestringEvent type, fixed as MASTER_DATA
timestampstringEvent timestamp in ISO 8601 format
payloadobjectEvent payload data

Payload Fields

FieldTypeDescription
request_idstringRequest Id.
marketstringSee the market field in the Query Trade Calendar API request for details.
instrument_typestringSee the instrument_type field in the Query Trade Calendar API request for details.
yearstringYear in YYYY format.
biz_typestringBusiness type, fixed as CALENDAR_UPDATE